Oracle Solaris Third-Party Patch Update : foomatic (multiple_vulnerabilities_in_foomatic)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch for third-party
software.

Description :

The remote Solaris system is missing necessary patches to address
security updates :

- foomatic-rip-hplip in HP Linux Imaging and Printing
(HPLIP) 3.11.5 allows remote attackers to execute
arbitrary code via a crafted *FoomaticRIPCommandLine
field in a .ppd file. (CVE-2011-2697)

- foomaticrip.c in foomatic-rip in foomatic-filters in
Foomatic 4.0.6 allows remote attackers to execute
arbitrary code via a crafted *FoomaticRIPCommandLine
field in a .ppd file, a different vulnerability than
CVE-2011-2697. (CVE-2011-2964)

See also :

http://www.nessus.org/u?b5f8def1
http://www.nessus.org/u?a61602e5

Solution :

Upgrade to Solaris 11/11 SRU 8.5.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: Solaris Local Security Checks

Nessus Plugin ID: 80613 ()

Bugtraq ID:

CVE ID: CVE-2011-2697
CVE-2011-2964

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now